# MagicPlugin

Adds 5 new early game magic weapons, 6 armors with set effect for magic users and 5 eitr foods that is centered on the useless yellow mushroom.<br/>
![](https://i.ibb.co/S6yhknG/md01.png)
![](https://i.ibb.co/9ss2qc0/md02.png)
![](https://i.ibb.co/Lnf26CK/md03.png)

## Installation (manual)

copy `plugins` folder to your `BepInEx` folder.<br/>

## Features

- Configurable velocity and accuracy.
- Configurable exp multipliers for elemental magic and blood magic.
- Adds 3 new early game Magic Weapon called Surtling Staff, Eikthyrs Staff and Neck Totem and 2 new mid game Magic Weapon called Wolf Totem and Arctic Staff.
- Adds 2 new armors with set effect called Black Forest Eitr-Hood and Black Forest Eitr-Cape which increases your eitr regen by 3%.
- Adds 4 new armors with set effect called Polarwolf Hood, Polarwolf Tunic, Polarwolf Trouser, and Cultist Cape which gives cold and freezing resist and increases your eitr regen by 5%.
- Adds 3 new Eitr Foods that is centered on the useless yellow mushroom called Mushroom Jam, Sauted Meat 'N Mushroom and Mushroom Pie which will give you a total of 76 Eitr. Now you have another reason to go Burial Chamber hunting besides farming surtling cores.
- Adds 2 new Eitr Foods called Mountain Soup and Mountain Stew together with Mushroom Pie will give you a total of 124 Eitr whis is the prerequisite in using the Wolf Totem.
- Configurable recipe, cooldown timer, chop/pickaxe damage, fire/lightning/frost damage, blunt/pierce damage and attack force.
- Configurable magic source, you can use either Eitr or Stamina.
- Configurable Eitr regen amount.
- Configurable food stats.
- Configurable summons health and attack damages.
- Uses ServerSync to sync configs from server to clients.
- Uses built in config watcher.
- Configurable through config file or [configuration manager]
(https://valheim.thunderstore.io/package/Azumatt/Official_BepInEx_ConfigurationManager/)

** Surtling Staff (Elemental Magic)(Fire Damage)
- Can be used to demolish a whole forest.
- Tool tier is determined by its quality level.
- Level 1 for Beech Trees, Level 2 for Birch Trees and so on. 
- Configurable Base Tree Damage which is scaled by your woodcutting skill level for more damage to trees.
- AOE Range is scaled by your elemental magic skill level.
- The higher your elemental magic skill level the wider the AOE.
- You can get a small fraction of exp for woodcutting skill when hitting trees with the staff.
- And you can get elemental magic exp for killing monsters or wild animals.

** Eikthyrs Staff (Elemental Magic)(Lightning Damage)
- Can be used to demolish rocks and minerals.
- Tool tier is determined by its quality level.
- AOE Range is scaled by your elemental magic skill level.
- You can get a small fraction of exp for pickaxes skill when destroying rocks/minerals with the staff.
- You can get elemental magci exp for killing monsters or wild animals.

** Arctic Staff (Elemental Magic)(Frost Damage)
- Can be crafted after you've killed Modder.

** Neck Totem (Blood Magic)
- Early game summoning magic weapon.  
- Used to summon Neckzilla to fight alongside you.
- Uses stamina insterd of eitr.
- Max summon and Max star of Neckzilla is determined by your Neck Totems quality level and your Blood Magic Skill Level.
- Upto 4 three Star Neckzilla can be summoned at Max quality level Neck Totem and level 100 blood magic skill.

** Wolf Totem (Blood Magic)
- Mid-game summoning magic weapon.
- Used to summon Occultist.
- Uses stamina instead of eitr.
- Can only use to summon at level 40 blood magic.
- Upto 2 three star Occultist can be summoned at max level bloodmagic skill.

## Changelog

<br/>
v1.1.6<br/>
- fixed config live update, changes applies immediately now no need to logout or attack first to take effect<br/>
- added summons health and attack damages configuration<br/>
- added version checks<br/>
- updated to latest valheim assemblies<br/>
<br/>
v1.1.5<br/>
- fixed some minor shader issue<br/>
- fixed minor conflict with my bowplugin<br/>
<br/>
v1.1.4<br/>
- fixed eitr regen of forest magic and arctic buff, it was supposed to be just +3% and +5% but instead valheim sets it to +300% and +500% (thanks to @Attelaus from nexus from noticing this)<br/>
- added eitr regen amount configuration for each set effect.<br/>
- added full configuration for foods, you can now edit their values<br/>
<br/>
v1.1.3<br/>
- fixed compatibility issue with randyknapps jams<br/>
- fixed some items and icons<br/>
- adjusted frost staffs particle effect<br/>
<br/>
v1.1.2<br/>
- fixed compatibility issue with runic pack<br/>
<br/>
v1.1.1<br/>
- fixed capes invisible texture thanks to balronds doublesided shader<br/>
- added possible fixes for multiplayer/coop (not tested)<br/>
- added attack force settings for more damage configuration<br/>
- added a new staff called Arctic Staff which deals frost damage<br/>
- added immunity to each elemental weapon which counter its aoe effect<br/>
(Arctic Staff immunes to frost damage / Eikthyrs Staff immune to lighning damage)<br/>
- added 4 new armor called Polarwolf Hood, Polarwolf Tunic, Polarwolf Trouser and Cultist Cape with set effect for midgame which gives cold and freezing resist and 5% eitr regen.<br/>
- added 2 new foods called Mountain Soup and Mountain Stew together with Mushroom Pie you'll get a total of 124 eitr which is the prerequisite in using the Wolf Totem.<br/>
<br/>
v1.1.0<br/>
- Added 2 new armors with a set effect<br/>
- Added 3 new eitr foods which will give you 76 eitr<br/>
<br/>
v1.0.9<br/>
- adjusted damage values and attack force of eikthyrs staff to make it less op<br/>
<br/>
v1.0.8<br/>
- fixed AOE OnTriggerStay warning<br/>
<br/>
v1.0.7<br/>
- fixed summoned creatures, summoned creatures no longer despawn when you logout.<br/>
- added possible fix for coop/multiplayer (not tested)<br/>
<br/>
v1.0.6<br/>
- fixed eitr/stamina switching should properly work now. need to logout to properly take effect<br/>
<br/>
v1.0.5<br/>
- fixed compatibility issue with potionplus<br/>
<br/>
v1.0.4<br/>
- fixed NREs when using bow/crossbow<br/>
- fixed NREs when using firestaff and icestaff<br/>
- added translations. you can now add your own translations<br/>
- added option toggle to use either stamina or eitr (takes 1-2 attacks for the change to take effect)<br/>
<br/>
v1.0.3<br/>
- fixed aoe ranged scaling. it is now properly scaled according to your elemental magic skill level.<br/>
- fixed max crafting station level needed for the upgrades<br/>
- added full recipe configuration<br/>
- added fire/lightning damage configuration<br/>
- added chop/pickaxe damage configuration<br/>
- added base aoe range configuration<br/>
- added stamina consumption configuration<br/>
- added cooldown timer configuration for necktotem and wolftotem<br/>
- added lightning staff called Eikthyrs Staff, can be used to destroy rocks/minerals<br/>
<br/>
v1.0.2<br/>
- fixed surtling staff aoe hopefully.<br/>
- nerf neckzilla's hp a little bit.<br/>
- added cooldown timers for neck totem and wolf totem so it wont be used to spam summons.<br/>
- added wolf totem a mid game summoning magic weapon.<br/>
- added accuracy config.<br/>
- balance the levelup chance of neckzilla<br/>
<br/>
v1.0.1<br/>
- fixed birch and oak trees tree stump being too hard. surtling staffs quality level is now properly functioning.<br/>
- fixed elemental magic and blood magic exp multipliers. they are separate now.<br/>
- added a new magic weapon called Neck Totem that can summon a monster to fight alongside you.<br/>
<br/>
v1.0.0<br/> 
- first release<br/>

